C99(1)

NAME
c99 - ANSI (1999) C compiler

SYNOPSIS
c99 [-pedantic] [-pedantic-errors] [-D_ANSI_SOURCE] [options ...]

DESCRIPTION
Calls the C compiler (cc) with the given options, using a C language environment compatible with the isoC-99 specification.

This includes inline functions, variable-length arrays, support for one-line comments beginning with //, disabling non-ANSI compiler features (such as asm, typeof, and the $ character in identifiers), and definition of the preprocessor symbol __STRICT_ANSI__.

The following options are available:

-pedantic
    Issue extra warnings defined by ANSI for use of non-ANSI features.

-pedantic-errors
    Issue errors instead of warnings that normally would be presented by -pedantic.

-D_ANSI_SOURCE
    Tell the system header file set to use an ANSI-conformant "clean" namespace.

SEE ALSO
cc(1)

STANDARDS
c99 conforms to p1003.2-92.

HISTORY
c99 first appeared in NetBSD 5.0.

BUGS
Since c99 is a shell wrapper script to cc, compile errors are prefixed by "cc:".